#!/bin/bash
#SBATCH --cpus-per-task=16
# ===========================================================================
#    Automated script generated by the CSB server for DisVis execution
# ===========================================================================
# October 24, 2023 12:24:20 UTC
# ===========================================================================
outputfile="output.out"
echo "# ===========================================================================" &>> $outputfile
log="disvis.log"

cmd="disvis -p 16 monomer-A.pdb monomer-B.pdb restraints.dat -a 9.72 -vs 1.0 -ir 3.0 -cv 200.0 -iv 300.0 -d result"




# Adding -oa to the command line
cmd+=" -oa"


echo "command: $cmd" &>> $outputfile
$cmd &> $log
status=$?
echo "exit status: $status" &>> $outputfile
echo "log:" &>> $outputfile
cat $log >> $outputfile

# Prepare the images
echo "Preparing the images" &>> $outputfile
cp monomer-A.pdb fixed_chain.pdb &>> $outputfile
cp ./* result/ &>> $outputfile
cd result || exit
chimera --nogui --script /bin/chimera.py &>> $outputfile
cp ./* ../ &>> $outputfile
rm -rf result& >> $outputfile
tar -czf imagez.tgz *.png &>> $outputfile

exit $status
# ===========================================================================